[paludis-user] Properly handling transition from ffmpeg to libav

Rodolphe Rocca maitrechang at gmail.com
Wed Jan 16 22:53:13 UTC 2013


On 01/16/2013 09:19 PM, Ciaran McCreesh wrote:
> On Wed, 16 Jan 2013 21:15:35 +0100
> Rodolphe Rocca <maitrechang at gmail.com> wrote:
>> what is the correct cave command(s) to issue to handle the switch from
>> virtual/ffmpeg|media-video/ffmpeg to media-video/libav that is
>> happening in Gentoo ?
>>
>> I think that basically I need to :
>>
>> - uninstall media-video/ffmpeg
>> - uninstall virtual/ffmpeg
>> - install media-video/libav
>> - reinstall-dependents-of virtual/ffmpeg
>>
>> But each cave command that I try ends with various blockers.
> You'll need to read those blockers, and then use 'cave show -c' to see
> what dependencies are involved. In particular, look for changes in
> dependencies between installed and installable packages, and reinstall
> anything where that happens.

That's what I've done until now basically :-) When one package moves
from one category to another too.

Wouldn't there be a way to implement something more simple for handling
this package move and replacement cases ?




More information about the paludis-user mailing list